Bug 546385 - system-config-printer-kde is not asking for root password when performing an administrative work.
system-config-printer-kde is not asking for root password when performing an ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeadmin (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
http://picpaste.com/system-config-pri...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-10 14:07 EST by Fabian
Modified: 2011-03-09 14:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:50:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabian 2009-12-10 14:07:19 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.5) Gecko/20091105 Fedora/3.5.5-1.fc12 Firefox/3.5.5

When you are trying to set up a printer you get an error Message in a window that a cups operation could not be performed due to missing root permissions. 

Reproducible: Always

Steps to Reproduce:
1. go into the menu and go for System Settings->Printer Setup
2. try to add or remove a printer or set up a network printer
3.
Actual Results:  
An error message occures

Expected Results:  
It should open a window so you can enter the password (as it is in many other applications)

kdesu kcmshell4 system-config-printer-kde is a workaround but its realy complicated.
Comment 1 Rex Dieter 2009-12-10 14:08:20 EST
Looks like an easyfix, we can patch in
X-KDE-RootOnly=true
into
/usr/share/kde4/services/system-config-printer-kde.desktop
Comment 2 Kevin Kofler 2009-12-10 18:24:02 EST
It's not that easy. system-config-printer-kde also does per-user configuration which doesn't require root permission. Plus, it's supposed to use PolicyKit like the GTK+ system-config-printer does, not just run the whole app as root.
Comment 3 collura 2010-06-20 13:34:57 EDT
this is still here as of fc13_kde making it a nice wifi-less printer-less eyecandy generator
Comment 4 Rex Dieter 2010-06-21 08:07:31 EDT
snarky-ness aside, you're not helpless.  you still have classic nm-applet,
http://fedoraproject.org/wiki/KDE/Using_nm_applet_instead_of_knetworkmanager
and systemc-config-printer to fall-back to.
Comment 5 collura 2010-06-21 11:35:09 EDT
*completely off topic Rant*

fair enough.  sorry. 

the free design and tech support is very much appreciated.
comment was given tongue in cheek, lol. :')



the introductory_level people i show linux too seem to respond better to kde than gnome.  my goal was to proof the kde system for those users so i could encourage they use it.  that means i need stuff to work cleanly and without effort. 

otherwise its not going to be adopted and i will be stuck either nit pickingly supporting it and/or have them rightly complain about the random errors/inabilities and find them defecting right back to m$_windows because of a bad user experience.

i am still trying to understand why this kind of stuff makes it past beta.

at this point i guess its because: 

    0) we need more investment in standards programs like linux standards base

    1) or until enough endusers adopt linux there wont be the sufficient driver support of the hardware community by default

we are at the next rung.  we have the industrial and the techy users because of reliability and flexibility and rapidity of designer response but in order to get the generalized users we need codecs a little more failsafe-ness and automatic-ness.

*end off topic Rant*
Comment 6 collura 2010-10-07 11:54:19 EDT
still here in fedora14-kde-beta 
(fc14-gnome-beta worked fine by popping up a password window
Comment 7 collura 2010-10-19 03:12:42 EDT
for what its worth this did not fix the problem in fc14-kde-beta :

     https://bugzilla.redhat.com/show_bug.cgi?id=643108
Comment 8 Bug Zapper 2010-11-03 23:41:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bill McGonigle 2010-11-25 21:09:09 EST
Fedora 14, problem still remains.  Unable to add a new printer, generic install:

There was an error during the CUPS operation: 'client-error-forbidden'.

cups/access_log:
localhost - flowerpt [25/Nov/2010:20:53:29 -0500] "POST /admin/ HTTP/1.1" 403 9613 CUPS-Add-Modify-Printer successful-ok

cups/error_log
E [25/Nov/2010:20:53:29 -0500] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/brother-home) from localhost

'kdesu kcmshell4 system-config-printer-kde' does work, as a workaround (thanks, Fabian).

Also, the list of printer types is empty under standard user, only shows as root.

I understand the desire to do this right rather than force it to run as root.  We should either accept running as root as a poor option that works, or just pull the configurator until it can be rewritten - tricking the user is the most unkind of the available options.
Comment 10 Bug Zapper 2010-12-03 20:50:42 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 collura 2011-03-09 14:55:43 EST
currently the password error seems to be fixed.

regarding comment#9, this still happens and i filed 'client-error-forbidden' error as bug#683589 today when i was checking the status of the password error.
forgot it was mentioned here but didnt find any existing report for it.

Note You need to log in before you can comment on or make changes to this bug.